?
Solved

VMware 5.5  with Prolient G5 and MSA 2000

Posted on 2015-01-24
29
Medium Priority
?
230 Views
Last Modified: 2015-01-31
I have a Prolient G5 DL 350 server  with a scsi  Prolient MSA 2000 storage unit
The ESX 5.5. software does not see the HBA.  Know its older equipment  but I need to get this working.
As anybody managed to get this kind of setup working  ?
0
Comment
Question by:thombie
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 16
  • 12
29 Comments
 
LVL 123
ID: 40568311
You are correct the G5 is not on the HCL for ESXi 5.5.

But this does not mean it does not work, it's just not supported, not been tested or certified with 5.5.

Are you using the HP OEM version of ESXi 5.5 from HP ?

What is the HBA?

Have you tried downloading the driver from VMware for ESXi 5.5 ?
0
 

Author Comment

by:thombie
ID: 40568345
Hi  I am not using the HP OEM. I have downloaded  but still not working.
The HBA  is EMULEX  not sure what version.
I ran esxcfg-scsidevs -a  I and did not see the HBAs
0
 
LVL 123
ID: 40568368
HBA  is EMULEX I need more than that I need a model number at least, there a few hundred EMULEX cards!

Possible the HBA is not on the HCL, and drivers have been removed from ESXi 5.5!

try

lspci

and this will show all the PCI devices installed in the server.
0
Microsoft Certification Exam 74-409

Veeam® is happy to provide the Microsoft community with a study guide prepared by MVP and MCT, Orin Thomas. This guide will take you through each of the exam objectives, helping you to prepare for and pass the examination.

 

Author Comment

by:thombie
ID: 40568374
whats the syntax for ispci ?
0
 
LVL 123
ID: 40568378
just type lspci <hit enter or return>
0
 

Author Comment

by:thombie
ID: 40568384
Thanks

the HBA is   a  Emulex LPe11000
0
 
LVL 123
ID: 40568393
0
 

Author Comment

by:thombie
ID: 40568417
I installed it needs a rebooted.  see attached
How do find the PCI ID
installed.docx
0
 
LVL 123
ID: 40568434
after a reboot does it show under Storage Adaptors ?

cut and paste the information shows when typing  lspci
0
 

Author Comment

by:thombie
ID: 40568435
Ok these are  the ID I think got the `HBAs

0000:13:00.0 10df:fe00 10df:fe00 vmkernel vmhba3
0000:13:00.1 10df:fe00 10df:fe00 vmkernel vmhba5
0000:17:00.0 10df:fe00 10df:fe00 vmkernel vmhba2
0000:17:00.1 10df:fe00 10df:fe00 vmkernel vmhba4
0
 

Author Comment

by:thombie
ID: 40568440
I dont see them under storage adapters
0
 
LVL 123
ID: 40568452
how do we know it's a  Emulex LPe11000

where's this information from lspci, upload the entire output from lspci.

did you reboot ?

the problem with EMULEX adaptors, the firmware must match the driver, and there are many different EMULEX cards, and some are OEM and different.
0
 

Author Comment

by:thombie
ID: 40568467
I have attached the  output
0
 
LVL 123
ID: 40568474
where ?

type

lspci > lspci.txt

and upload lspci.txt
0
 

Author Comment

by:thombie
ID: 40568483
attached
output.docx
0
 
LVL 123
ID: 40568494
did you reboot ?

have you updated the firmware on the server and Emulex HBA ?

check this document for minimum firmware requirements

http://www-dl.emulex.com/support/elx/rt960/b122a/esxi5.5_guide_elx.pdf
0
 

Author Comment

by:thombie
ID: 40568504
I will reboot  in the morning I and check back with you Thanks for your help
0
 
LVL 5

Expert Comment

by:Dawid Fusek
ID: 40569311
hmm

I remember similar config:
HP Prolient DL 380 G5 server with Emulex LPe11000 4G FC HBA + HP MSA 2012fc 4G FC storage unit + some broacade 4G FC switch installed in 2008 year.

HP MSA 2000 is in fact MSA 2012fc, 2012i or 2012sa array.

Config was installed in 2008 with ESX v3.x, year later updated to ESX 3.5 and after 2 years updated to ESXi v4.1, and as Andy saw it's not supported to work with newer ESXi version. One I may add that this config was not so flexible of support and working even with supported hardware, why? because it needs a correct one firmware for array, FC hba cards and FC brocade switch type to work with correct version of ESXi, so I may think it may some problems and restrictions why it not working with other config, you may consider it while working on it, it may sometimes happens data corruption if you will use some rare unsupported VMware ESXi config with FC HBA/Switch/Arrays.

from here:
http://www.vmware.com/resources/compatibility/detail.php?deviceCategory=san&productid=3594&vcl=true
You may see that "Emulex HBAs are not currently supported with Brocade switches for this array."
In my opinion there ware some imcompatibilities between emulex HBA, brocade switch and MSA 2000 array (MSA 2012fc), and main problem was in my opinion with Emulex HBA.

So if you want to recover some data from that config (??), I will recommend to use last supported version of ESXi what was 4.1U3, but if you want to run some test lab on it with latest ESXi, just try as Andy suggest to match firmware and drivers version (which will be not fully possible at all because of not supported config on newer than ESXi v4.1U3),

Also some option that choose my customer (with my recommendation) was to use QLogic QLE2460 4GB FC HBA with this array (2012fc), this config working ok with that  brocade switch and with ESXi v5.5, it costs 15-20usd on ebay:
http://www.ebay.pl/sch/i.html?_from=R40&_trksid=p2050601.m570.l1313&_nkw=QLOGIC+QLE2460&_sacat=0

best regards
NTShad0w
0
 

Author Comment

by:thombie
ID: 40569514
Thanks I rebooted last night to no avail. I will try to match the firmware. By the way there is no SAN switch involved just
a  direct FC connection the the storage. The customer as limited funds so really need to get this solution working.
0
 
LVL 123
ID: 40569541
what it's connected to at present should not stop it being displayed as a storage adaptor in ESXi 5,5, connected to SAN, Switch or no connection.

Is this an HP part?

Often non-HP parts do not work well with HP servers.
0
 

Author Comment

by:thombie
ID: 40569577
Os a none HP Emulex
0
 

Author Comment

by:thombie
ID: 40569616
This is what see in my Host -  No HBA as far as I can see
Screen-Shot-2015-01-25-at-20.35.43.png
0
 
LVL 123
ID: 40569628
Incompatible FC HBA, or driver not loaded or installed.

Firmware, check the document I linked to!

This is the risk, expected running non-HCL OS on uncertified hardware!
0
 

Author Comment

by:thombie
ID: 40569663
How  do  i  load driver
0
 
LVL 123
ID: 40569697
Did you not install the driver, I found you above ?

Did you download this driver ?

I thought you had installed this driver ? It could be the incorrect driver, or the firmware does not match the driver.

Did you read the PDF ?

https://my.vmware.com/group/vmware/details?downloadGroup=DT-ESXI55-EMULEX-LPFC-100725203&productId=353

http://www-dl.emulex.com/support/elx/rt960/b122a/esxi5.5_guide_elx.pdf
0
 

Author Comment

by:thombie
ID: 40570256
Sorry I misunderstood. I did load the driver it does not work
I have found a couple  HP badged Brocade  with 8G  FC SFP i wonder if this will work
HP part number is  AP770-60001 REV B
0
 
LVL 123

Accepted Solution

by:
Andrew Hancock (VMware vExpert / EE MVE^2) earned 2000 total points
ID: 40570269
0
 

Author Comment

by:thombie
ID: 40570282
Thanks I will give it ago
0
 

Author Closing Comment

by:thombie
ID: 40581344
Installed  the  brocade   HBA  and all is working thank you
0

Featured Post

On Demand Webinar: Networking for the Cloud Era

Did you know SD-WANs can improve network connectivity? Check out this webinar to learn how an SD-WAN simplified, one-click tool can help you migrate and manage data in the cloud.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Ransomware is a malware that is again in the list of security  concerns. Not only for companies, but also for Government security and  even at personal use. IT departments should be aware and have the right  knowledge to how to fight it.
A look at what happened in the Verizon cloud breach.
Teach the user how to use vSphere Update Manager to update the VMware Tools and virtual machine hardware version Open vSphere Client: Review manual processes for updating VMware Tools and virtual hardware versions: Create a new baseline group in vSp…
This course is ideal for IT System Administrators working with VMware vSphere and its associated products in their company infrastructure. This course teaches you how to install and maintain this virtualization technology to store data, prevent vuln…

718 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question